import React from 'react';
declare enum DialogType {
    CONFIRM = "confirm",
    INFO = "info",
    ERROR = "error",
    WARNING = "warning",
    SUCCESS = "success",
    CLASS = "class",
    INJECT = "inject"
}
interface FcrConfirmDialogProps {
    type?: DialogType;
    title?: string;
    text?: string;
    cancelText?: string;
    okText?: string;
    onOk?: () => void;
    onCancel?: () => void;
    visible?: boolean;
    content: React.ReactNode;
    onClose?: () => void;
    width?: number;
    footer?: React.ReactNode;
    rootClassName?: string;
    closable?: boolean;
    closeIcon?: React.ReactNode;
    children?: React.ReactNode;
    maskClosable?: boolean;
}
interface DialogConfig {
    id?: string;
    dialogProps: FcrConfirmDialogProps;
}
export declare class FcrDialogApi {
    private static _dialogs;
    private static _dialogContainerCls;
    private static _unmountDialog;
    private static _render;
    private static _createDialog;
    static open(config: DialogConfig): void;
    static injectOpen(config: DialogConfig): void;
    static confirm(config: DialogConfig): void;
    static warning(config: DialogConfig): void;
    static info(config: DialogConfig): void;
    static close(id: string): void;
    static closeAll(): void;
}
export {};
